Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update agent provider

PUT/workspaces/{organizationId}/agent/providers/{agentId}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
agentIdstringrequired
Request body
application/json
modestring
Allowed:hostedbyo
tokenstring | null
providerOrgIdstring | null
computeApiKeystring | null
computeApiUrlstring | null
computeSnapshotstring | null
computeVolumeIdstring | null
configobject | null
teamIdsstring[] | null
Responses
200

Provider config saved (secrets redacted)

agentIdstringrequired
hasTokenbooleanrequired
providerOrgIdstring | nullrequired
hasComputeApiKeybooleanrequired
computeApiUrlstring | nullrequired
computeSnapshotstring | nullrequired
computeVolumeIdstring | nullrequired
configobject | nullrequired
teamIdsstring[] | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://pile.nyc/workspaces/string/agent/providers/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "mode": "hosted",
  "token": "string",
  "providerOrgId": "string",
  "computeApiKey": "string",
  "computeApiUrl": "string",
  "computeSnapshot": "string",
  "computeVolumeId": "string",
  "config": {
    "property1": null,
    "property2": null
  },
  "teamIds": [
    "string"
  ]
}'
Response
{
  "agentId": "string",
  "hasToken": true,
  "providerOrgId": "string",
  "hasComputeApiKey": true,
  "computeApiUrl": "string",
  "computeSnapshot": "string",
  "computeVolumeId": "string",
  "config": {
    "property1": null,
    "property2": null
  },
  "teamIds": [
    "string"
  ],
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?